Wallet
4 endpoints
POST
/users/{user}/wallets
Create a wallet
Parameters
user required
id parameter must be included in the URI
Request Body
assetId required
Asset id to be associanted with a wallet
device required
Device name or user agent
ip required
User's IP address
externalReference
Reference to external client id
Responses
201
400
Bad request
401
Unauthorized
POST https://api.qa.onyze.pro/v1/users/{user}/wallets
Request body
{
"assetId": "GeFr9xwBR",
"device": "Mozilla/5.0 (Android; Mobile; rv:13.0) Gecko/13.0 Firefox/13.0",
"ip": "167.145.132.65",
"externalReference": "string"
}
Response 201
{
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
}
GET
/users/{user}/wallets
List all wallets
List all existing wallets for a specific user. Admin audience is required to list all wallets for all users with userId=*.
Parameters
user required
id parameter must be included in the URI
externalReference
Reference to external wallet ID
assetSymbol
Asset symbol
assetId
Asset Id
page
Page number of the records list
limit
Max number of records by page. limit=0 to return all records
sort
Sort the response PARAM or -PARAM
createdAfter
Created after date
createdBefore
Created before date
Responses
200
400
Bad request
401
Unauthorized
404
Not found
GET https://api.qa.onyze.pro/v1/users/{user}/wallets
Response 200
[
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"asset": {
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"name": "Bitcoin",
"symbol": "BTC"
},
"balance": "10.000001",
"availableBalance": "10.000001",
"address": "1KUEUVh45uK6m83L4LTNF9D4Txi7KSEBxx",
"user": {
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"generalConditions": "2020-08-07T12:29:11.214Z",
"idNumber": "string"
}
}
]
GET
/users/{user}/wallets/{wallet}
Find a wallet by id
Parameters
user required
id parameter must be included in the URI
wallet required
id parameter must be included in the URI
Responses
200
401
Unauthorized
404
Not found
GET https://api.qa.onyze.pro/v1/users/{user}/wallets/{wallet}
Response 200
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"asset": {
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"name": "Bitcoin",
"symbol": "BTC"
},
"balance": "10.000001",
"availableBalance": "10.000001",
"address": "1KUEUVh45uK6m83L4LTNF9D4Txi7KSEBxx",
"user": {
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"generalConditions": "2020-08-07T12:29:11.214Z",
"idNumber": "string"
}
}
DELETE
/users/{user}/wallets/{wallet}
Delete a wallet by id
Parameters
user required
id parameter must be included in the URI
wallet required
id parameter must be included in the URI
Request Body
device required
Device name or user agent
ip required
User's IP address
Responses
401
Unauthorized
403
Wallet has positive balance
404
Not found
DELETE https://api.qa.onyze.pro/v1/users/{user}/wallets/{wallet}
Request body
{
"device": "Mozilla/5.0 (Android; Mobile; rv:13.0) Gecko/13.0 Firefox/13.0",
"ip": "167.145.132.65"
}